ACHTUNG. Das ist ein Archiv des alten forum.ruby-portal.de. Die aktuelle Mailingliste gibt es auf lists.ruby-lang.org/pipermail/ruby-de.

NOTICE. This is a ready-only copy of the old forum.ruby-portal.de. You can find the current mailing list at lists.ruby-lang.org/pipermail/ruby-de.

Die Programmiersprache Ruby

Blog|

Forum|

Wiki  


Alle Zeiten sind UTC + 1 Stunde [ Sommerzeit ]

Ein neues Thema erstellen Auf das Thema antworten  [ 1 Beitrag ] 
Autor Nachricht
BeitragVerfasst: 03 Jan 2012, 12:29 
Offline
Nuby

Registriert: 03 Jan 2012, 12:15
Beiträge: 1
Hallo,

habe ein Problem mit RubyTk unter Windows Vista 32bit.
require 'tk' funkitoniert und die Standard-Tk-Widgets funktionieren,
möchte ich allerdings z.B. einen Calendar erstellen mit
require 'tkextlib/iwidgets'
[...]
cal = Tk::Iwidgets::Calendar.new(root) {
[...]

dann meldet Ruby bereits beim require den Fehler
C:/Ruby187/lib/ruby/1.8/tk/package.rb:86:in `require': TkPackage can't find package Itcl (RuntimeError)
from C:/Ruby187/lib/ruby/1.8/tkextlib/itcl/incr_tcl.rb:12

Der Fehler tritt sowohl beim aktuellen 1.9.3-p0 als auch unter der letzten 1.8 Version auf.
ActiveTcl8.5.11.0.295402-win32 ist installiert.

Was mache ich falsch?
Bin für jeden Hinweis dankbar.

Viele Grüße,
Markus


Nach oben
 Profil  
 
Beiträge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen Auf das Thema antworten  [ 1 Beitrag ] 

Alle Zeiten sind UTC + 1 Stunde [ Sommerzeit ]


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste


Du darfst keine neuen Themen in diesem Forum erstellen.
Du darfst keine Antworten zu Themen in diesem Forum erstellen.
Du darfst deine Beiträge in diesem Forum nicht ändern.
Du darfst deine Beiträge in diesem Forum nicht löschen.
Du darfst keine Dateianhänge in diesem Forum erstellen.

Suche nach: